CTL_MBOXLIST(8)

NAME
ctl_mboxlist - perform operations on the mailbox list database

SYNOPSIS
ctl_mboxlist [ -C config-file ] -d [ -x ] [ -p partition ] [ -f filename ]
ctl_mboxlist [ -C config-file ] -u [ -f filename ]
ctl_mboxlist [ -C config-file ] -m [ -a ] [ -w ]
             [ -f filename ]

DESCRIPTION
Ctl_mboxlist is used to perform various administrative operations on the mailbox list database.

Ctl_mboxlist reads its configuration options out of the imapd.conf(5) file unless specified otherwise by -C. The configdirectory option is used to determine the default location of the mailbox list database.

OPTIONS

-C config-file
    Read configuration options from config-file.

-d  Dump the contents of the database to standard output in a portable flat-text format.

-x  When performing a dump, remove the mailboxes dumped from the mailbox list (mostly useful when specified with -p)

-p partition
    When performing a dump, dump only thise mailboxes that live on partition

-u  Load the contents of the database from standard input. The input MUST be in the format output using the -d option.

-m  For backend servers in the Cyrus Murder, synchronize the local mailbox list file with the MUPDATE server.

-a  When used with -m, assume the local mailboxes file is authoritiative, that is, only change the mupdate server, do not delete any local mailboxes. USE THIS OPTION WITH CARE, as it allows namespace collisions into the murder.

-w  When used with -m, print out what would be done but do not perform the operations.

-f filename
    Use the database specified by filename instead of the default (configdirectory/mailboxes.db).

FILES

/etc/imapd.conf

SEE ALSO

imapd.conf(5), cyrus-master(8)